Next Previous Contents

## 3. Filename Globbing Functions

These functions are defined `glob.sl`.

## 3.1 glob

Synopsis

  Find files using wildcards

Usage

  `files = glob (pattern1, ..., patternN)`;

Description

  This function returns a list of files whose names match the specified globbing patterns. A globbing pattern is one in which '?' matches a single character, and '*' matches 0 or more characters.

Example

  > `

  >        files = glob ("*.c", "*.h");

  > `

See Also

  `glob_to_regexp`

Next Previous Contents